%define name    nt
%define version 1.29
%define release 1mdk

Summary: 	Web Downloader for X
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic License
Group: 		Networking/File transfer
Source: 	%{name}-%{version}.tar.bz2
Patch0:		nt-1.26-po_it.patch.bz2
URL: 		http://www.krasu.ru/soft/chuchelo/
Requires: 	libgtk+1.2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This program lets you download files from internet/intranet using
ftp or http protocol.
Main features:
    * multithreaded design
    * convient user-friendly interface
    * automatic resuming after connection breaks
    * multiple simultaneous downloads
    * recursive ftp and http downloading
    * wildcards support for ftp recursing
    * proxy support (ftp and http)
    * supports for traffic limitation
    * mass downloading function
    * and other ...


%prep
rm -rf $RPM_BUILD_ROOT

%setup 
#%patch0 -p1

%build
%serverbuild
%make -C main CCFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="${RPM_OPT_FLAGS} -s" DEST=%{_prefix}


%install
rm -fr $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_bindir} \
		$RPM_BUILD_ROOT%{_prefix}/dcc \
		$RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig \
		$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet \
		$RPM_BUILD_ROOT%{_datadir}/pixmaps \
		$RPM_BUILD_ROOT%{_iconsdir} \
		$RPM_BUILD_ROOT%{_libdir}/menu \
		$RPM_BUILD_ROOT%{_mandir}/man1

for i in main/po/*.gmo; do
    j=`basename $i .gmo`
    install -d $RPM_BUILD_ROOT%{_datadir}/locale/$j/LC_MESSAGES
    install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/locale/$j/LC_MESSAGES/nt.mo
done

install -m 755 main/nt 		$RPM_BUILD_ROOT%{_bindir}
install -m 644 nt.wmconfig 	$RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig/nt
install -m 644 nt.desktop 	$RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/nt.desktop
install -m 644 nt.xpm 		$RPM_BUILD_ROOT%{_datadir}/pixmaps/nt.xpm
install -m 644 nt-mini.xpm 	$RPM_BUILD_ROOT%{_datadir}/pixmaps/nt-mini.xpm
install -m 644 nt-gray.png 	$RPM_BUILD_ROOT%{_datadir}/pixmaps/nt-gray.png
install -m 644 nt.png 		$RPM_BUILD_ROOT%{_datadir}/pixmaps/nt.png
install -m 644 nt.xpm 		$RPM_BUILD_ROOT%{_iconsdir}/nt.xpm
install -m 644 nt.1 		$RPM_BUILD_ROOT%{_mandir}/man1/nt.1


# (mandrake) menu support
cat << EOF > $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
?package(%{name}): longtitle="%{summary}" \
command="nt" title="NT"  needs="x11" \
section="Networking/File transfer" \
icon="nt.xpm" 
EOF
   

%find_lang %{name}                                                                                      


%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog FAQ FAQ.* INSTALL LICENSE NAMES PLANS README THANKS TODO TROUBLES README.* INSTALL.*
%{_sysconfdir}/X11/wmconfig/nt
%{_bindir}/nt
%{_libdir}/menu/nt
%{_iconsdir}/*
%{_datadir}/gnome/apps/Internet/nt.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/nt.1*

%changelog
* Sat Sep 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.29-1mdk
- 1.29

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.28.1-1mdk
- updated to 1.28.1

* Fri May 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.26-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 1.26
	- improved Italian translation

* Thu Mar 15 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.24.1-1mdk
- new release

* Tue Jan 23 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.20-1mdk
- new release
- some fixes ...making rpmlint happier

* Tue Aug 29 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.19-1mdk
- new release

* Mon Aug 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.18-1mdk
- new release

* Mon Jul 31 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.17-2mdk
- BM
- Added menu entry
- Added man 
- Fixed NLS
- Fixed Italian Language

* Tue Jun 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.17-1mdk
- 1.17-1mdk
- Moved from diff to perl patch for Makefile

* Fri Jun 09 2000 John Johnson <jjohnson@linux-mandrake.com> 1.16.1-1mdk
- Made mandrake rpm  
- v1.16.1

* Wed May 03 2000 Lenny Carter <lenny@mandrakesoft.com> 1.06-4mdk
- fix group

* Mon Nov 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fixed the copyright tag

* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation











